Page MenuHomePhabricator

Add 'colors' and 'icons' fields to conduit api for Projects
ClosedPublic

Authored by 20after4 on Jun 1 2015, 4:04 PM.

Details

Summary

This simply adds colors, icons to ProjectQueryConduitAPIMethod and
ProjectCreateConduitAPIMethod.

Additionally, adds 'tags' to ProjectCreateConduitAPIMethod

Change-Id: Ic6332fe174a59ecfd60cea281ccb0ed938136141

Test Plan

create a new project with project.create, specify icon, color and tags

call project.query with colors and icons args, check for results
containing matching projects.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

20after4 updated this revision to Diff 31622.Jun 1 2015, 4:04 PM
20after4 retitled this revision from to Add 'colors' and 'icons' fields to conduit api for Projects.
20after4 updated this object.
20after4 edited the test plan for this revision. (Show Details)
20after4 added a reviewer: epriestley.
20after4 added subscribers: qgil, valhallasw.
20after4 updated this revision to Diff 31623.Jun 1 2015, 4:24 PM
20after4 edited edge metadata.

prepend fa- to the icons values
fix typo

epriestley requested changes to this revision.Jun 1 2015, 5:06 PM
epriestley edited edge metadata.

These changes are fine, but I want to hold expansions of these APIs until T5873 (for transactions) and T7715 (for queries).

src/applications/project/conduit/ProjectCreateConduitAPIMethod.php
19

No apparent effect?

This revision now requires changes to proceed.Jun 1 2015, 5:06 PM
20after4 updated this revision to Diff 31686.Jun 2 2015, 8:01 PM
20after4 edited edge metadata.

include the changes to tags that should have been in the last diff.

20after4 marked an inline comment as done.Jun 2 2015, 8:03 PM

Ok not sure how I missed that last bit...

legoktm added a subscriber: legoktm.Jun 3 2015, 6:36 PM

(If this is blocking a bunch of cool/important stuff I don't mind looking the other way and landing it, we just end up in a bad place on average by limping along like this.)

epriestley accepted this revision.Jun 3 2015, 6:43 PM
epriestley edited edge metadata.

whoops what happened

This revision is now accepted and ready to land.Jun 3 2015, 6:43 PM
This revision was automatically updated to reflect the committed changes.